/* Linked list class */
#include "Node.h"

class List 
{
      public:
             List();
             string getID();
             string getName();
             int length();
             void start();
             void add(string id, string name);
             bool searchByID(string id);
             bool searchByName(string name);
             void remove();
             void printList();
             
      private:
              int size;
              Node * headNode;
              Node * currentNode;
              Node * lastCurrentNode;
};
