#include <cstdlib>
#include <iostream>
#include "List.h"

using namespace std;

int main()
{
 string id, name;
 int choice = 0;
 char option;
 List studentList;
 
 while(choice != 6) //comes out of while loop when users presses 6
 {
  cout<<"1- Enter student information"<<endl;
  cout<<"2- Search student by ID"<<endl;
  cout<<"3- Search student by Name"<<endl;
  cout<<"4- Delete student information"<<endl;
  cout<<"5- Print all students"<<endl;
  cout<<"6- Quit"<<endl;
  cout<<"Enter your choice: ";
  cin>>choice;
  cin.ignore();
  
  switch(choice)
  {
   case 1: //add student to list
    cout<<"Enter Student ID: ";
    getline(cin, id);
    cout<<"Enter Student Name: ";
    getline(cin, name);
    if (studentList.searchByID(id))
    {
     cout<<"Student ID: \""<<id<<"\" already exists with Student Name: \""<<studentList.getName()<<"\""<<endl;
    }    
    else
    {
     studentList.add(id, name);
     cout<<"Student record successfully added."<<endl;
    }
    system("PAUSE");
    break;
   
   case 2: //search student by ID
    cout<<"Enter Student ID: ";
    getline(cin, id);
    if (studentList.searchByID(id))
    {
     cout<<"Student ID: "<<studentList.getID()<<endl;
     cout<<"Student Name: "<<studentList.getName()<<endl;
    } 
    else
     cout<<"Record not found."<<endl;
    system("PAUSE");
    break;

   case 3: //search student by Name
    cout<<"Enter Student Name: ";
    getline(cin, name);
    if (studentList.searchByName(name))
    {
     cout<<"Student ID: "<<studentList.getID()<<endl;
     cout<<"Student Name: "<<studentList.getName()<<endl;
    } 
    else
     cout<<"Record not found."<<endl;
    system("PAUSE");
    break;
    
   case 4: //delete student record
    cout<<"Enter Student ID: ";
    getline(cin, id);
    if (!studentList.searchByID(id))
     cout<<"Record not found."<<endl;
    else
    {
     cout<<"Are you sure, you want to remove this record?"<<endl;
     cout<<"Student ID: \""<<studentList.getID()<<"\" Student Name: \""<<studentList.getName()<<"\""<<endl;
     cout<<"Press 'y' to confirm: ";
     cin>>option;
     if (option == 'y' || option == 'Y') //if user presses y or Y
     {
      studentList.remove();
      cout<<"Student record successfully removed."<<endl;
     } 
    } 
    system("PAUSE");
    break;

   case 5: //print the list
    if (studentList.length() == 0)
     cout<<"List is empty"<<endl;
    else
    {
     cout<<"Student ID \t Student Name"<<endl;
     cout<<"---------- \t ------------"<<endl;
     studentList.printList();
    }
    system("PAUSE");
    break;

   case 6:
    cout<<"Thank you for using this program."<<endl;
    break;

   default:
    cout<<"Enter a valid choice(1-6)"<<endl;
  }
 }

    system("PAUSE");
    return EXIT_SUCCESS;
}
