/* The Node class implementation */
#include <cstdlib>
#include "Node.h"

/* Constructor */ 
Node::Node()
 { 
   studentID="";
   studentName="";
   nextNode = NULL;
 }

/* get studentID stored in node */
string Node::getID()
 { 
   return studentID; 
 }

/* get studentName stored in node */
string Node::getName()
 { 
   return studentName; 
 }

/* store studentID and studentName into node */
void Node::set(string id, string name)
 { 
   studentID = id;
   studentName = name;
 }

/* return the pointer to the next node */
Node * Node::getNext()
 { 
   return nextNode;
 }

/* set the nextNode pointer */ 
void Node::setNext(Node * next)
 { 
   nextNode = next; 
 }
