/* The Stack class implementation */
#include <cstdlib>
#include "Stack.h"
Stack::Stack()
{
 size = 0;
 head = NULL;
}

void Stack::push(int x)
{
 Node *newNode = new Node();
 newNode->set(x);
 newNode->setNext(head);
 head = newNode;
}

int Stack::pop()
{
 int x = head->get();
 Node *ptr = head;
 head = head->getNext();
 delete ptr;
 return x;
}

int Stack::top()
{
 return head->get();
}

int Stack::isEmpty()
{
 return (head == NULL);
}

void Stack::clear()
{
 while(!isEmpty())
  pop();
}
